﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Movement : MonoBehaviour {


	public float speed=1f;							//La velocità con cui il parente si muove
	public string button;
	private Animator anim;
	public Transform[] directions;
	private Transform direction;
	private bool waveable = false;							//Controlla se il parente è stato salutato
	private bool waved = false;
	private bool charPassed;
	SpriteRenderer sprite;
	ParticleManager particleManager;
	public Player player;
	string tag;
	public GameObject mySprite ;
	bool demoLevel;
	public AudioClip[] audioClip;
	public AudioSource audioSource;
	void Awake ()
	{
		if (SceneManager.GetActiveScene ().buildIndex > 1) {
		//	mySprite.SetActive (false);
		}
		sprite = GetComponent<SpriteRenderer> ();
		anim = GetComponent<Animator> ();
		if (transform.position.x > 0) {
			direction = directions [0];
			//sprite.flipX = !sprite.flipX;
			if(mySprite)
			mySprite.GetComponent<SpriteRenderer>().flipX = !mySprite.GetComponent<SpriteRenderer>().flipX;
			tag = "TargetLeft";
		} else {
			direction = directions [1];
			tag = "TargetRight";

		}

	}

	void Start () 
	{
		particleManager = ParticleManager.particleManager;
		sprite = GetComponent<SpriteRenderer> (); 	 

	}



	void Update ()
	{
		if(Time.timeScale == 0)return;

		transform.position = Vector2.MoveTowards (transform.position, direction.position, speed);  //Il parente si muove

		if (waveable && Input.GetKeyDown (button)) 							//Controlla se il parente viene salutato
		{
			PlayerAnimationController.instance.Salutare();
			anim.SetTrigger ("Wave");
			PointSystemScript.instance.passed++;
			if (charPassed) {
				
			} else {
				audioSource.clip = audioClip [0];
				audioSource.Play ();

				GameObject particle = Instantiate (particleManager.happyParticles, gameObject.transform);
				particle.transform.localPosition = new Vector3 (0, -gameObject.transform.localPosition.y, 0);
				particle.GetComponent<ParticleSystem> ().Emit (3);
				waveable = false;
				waved = true;
			}

		}  
			

	}

	void OnTriggerEnter2D (Collider2D coll)
	{
		if (coll.gameObject.tag == "Player") 
		{
			waveable = true;						//Rende possibile salutare il parente
		}
		if (coll.gameObject.tag == tag) {
			Object.Destroy (this.gameObject);
		}
	}


	void OnTriggerExit2D(Collider2D coll){
		if (coll.gameObject.tag == "Player") 
		{
			Debug.Log ("VADO A MORIRRR");
			charPassed = true;
			waveable = false;
			if (!waved) {
				Debug.Log ("PERDOVITAADDIO");
				audioSource.clip = audioClip [1];
				audioSource.Play ();
				GameObject particle = Instantiate (particleManager.sadParticles, gameObject.transform);
				particle.transform.localPosition = new Vector3 (0, -gameObject.transform.localPosition.y, 0);
				particle.GetComponent<ParticleSystem> ().Emit (3);
			}
			}


}
}