﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PointSystemScript : MonoBehaviour {

	public Canvas victoryCanvas;
	public Canvas lossCanvas;
	public static PointSystemScript instance;			//Singleton
	public int passed=0;
	public int maxPoints;
	public float timer=60f;
	public Text pointsText;
	public Text timerText;
	public Text finalPoints;


	void Awake ()
	{
		Time.timeScale = 1;
		instance = this;
	}

	void Start ()
	{
		victoryCanvas.enabled = false;
		lossCanvas.enabled = false;
	}

	void Update ()
	{
		timer -= Time.deltaTime;
		pointsText.text = passed.ToString() + "/"+maxPoints.ToString();			//Scrive i punti
		timerText.text = timer.ToString("F1");				//Scrive il timer

		if (passed >= maxPoints) {
		//WIN
			victoryCanvas.enabled=true;
			Time.timeScale = 0;
		}
		if (timer <= 0) {
		//LOSS
			lossCanvas.enabled=true;
			Time.timeScale = 0;
			finalPoints.text = "You waved " + passed.ToString () +  " ...what a shame, they'll come back, now with +20% snootiness";
		}
	}


//	public void TakeLife()							//Il method che viene chiamato quando non si saluta un parente
//	{
//		timer-=Time.deltaTime;
//	}
}
